{% load static %}
{% load widget_tweaks %}
{#from https://getbootstrap.com/docs/4.0/examples/dashboard/#}
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <!--<link rel="icon" href="../../favicon.ico">-->

    <title>Rewards Dashboard</title>

    <!-- Bootstrap core CSS -->
    <link href="{% static '/css/bootstrap.min.css' %}" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="{% static '/css/dashboard.css' %}" rel="stylesheet">

    <link href="{% static '/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet">
</head>
<body>

{#TOP NAV#}
<nav class="navbar navbar-dark sticky-top bg-dark flex-md-nowrap p-0">
    <a class="navbar-brand col-sm-3 col-md-2 mr-0" href="#">Noel Inc.</a>
    <ul class="navbar-nav px-3">
        <li class="nav-item text-nowrap">
            {#            <a class="nav-link" href="#">Sign out</a>#}
        </li>
    </ul>
</nav>

{#SIDE NAV#}
<div class="container-fluid">
    <div class="row">
        <nav class="col-md-2 d-none d-md-block bg-light sidebar">
            <div class="sidebar-sticky">
                <ul class="nav flex-column">
                    <li class="nav-item">
                        <a class="nav-link active" href="#">
                            <span data-feather="home"></span>
                            Dashboard <span class="sr-only">(current)</span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#">
                            <span data-feather="users"></span>
                            Customers
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#">
                            <span data-feather="bar-chart-2"></span>
                            TODO: Reports
                        </a>
                    </li>
                </ul>
            </div>
            <h6 class="sidebar-heading d-flex justify-content-between align-items-center px-3 mt-4 mb-1 text-muted">
                <span>Created by Noel Victor 2018</span>
            </h6>
        </nav>

        <main role="main" class="col-md-9 ml-sm-auto col-lg-10 pt-3 px-4">

            <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pb-2 mb-3 border-bottom">
                <h1 class="h2">Welcome to the Rewards Dashboard</h1>


                <div class="btn-toolbar mb-2 mb-md-0">
                    <div class="btn-group mr-2">
                        <button class="btn btn-sm btn-outline-secondary">TODO: Export</button>
                    </div>
                </div>
            </div>

            {#            <canvas class="my-4" id="myChart" width="900" height="380"></canvas>#}

            {#            REWARD TIERS#}
            <h2>Reward Tiers</h2>
            {% if reward_data_error %}
                <b>{{ reward_data_error }}</b>
            {% endif %}
            <div class="table-responsive pb-2 mb-3 border-bottom ">
                <table class="display table table-striped table-sm">
                    <thead>
                    <tr>
                        <th>Rewards Tier

                        <th>Reward Points</th>
                        <th>Rewards Tier Name</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for reward in rewards_data %}
                        <tr>
                            <td>
                                {{ reward.tier }}
                            </td>
                            <td>{{ reward.points }}</td>
                            <td>{{ reward.rewardName }}</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>

            <h2>Add Orders</h2>
            <div class="pb-2 mb-3 ">

                <form action="" method="post">
                    {% csrf_token %}

                    {% csrf_token %}
                    {% include 'templates/includes/__bs4_form.html' with form=order_form %}
                    <button type="submit" class="btn btn-primary">Submit</button>
                </form>
                <hr>
            </div>

            {#           CUSTOMER REWARDS#}
            <h2>Customer Rewards</h2>
            {% if customerreward_data_error %}
                <b>{{ customerreward_data_error }}</b>
            {% endif %}
            <div class="table-responsive pb-2 mb-3 border-bottom">
                <table class="display table table-striped table-sm">
                    <thead>
                    <tr>
                        <th>Email Address</th>
                        <th>Reward Points</th>
                        <th>Reward Tier</th>
                        <th>Reward Tier Name</th>
                        <th>Next Reward Tier</th>
                        <th>Next Reward Tier Name</th>
                        <th>Next Reward Tier Progress</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for customer in customerrewards_data %}
                        <tr>
                            <td>
                                {{ customer.email_address }}
                            </td>
                            <td>
                                {{ customer.reward_points|floatformat:0 }}
                            </td>
                            <td>
                                {{ customer.reward_tier }}
                            </td>
                            <td>
                                {{ customer.reward_tier_name }}
                            </td>

                            <td>
                                {{ customer.next_reward_tier }}
                            </td>
                            <td>
                                {{ customer.next_reward_tier_name }}
                            </td>
                            <td>
                                <div class="progress">
                                    <div class="progress-bar bg-success" role="progressbar"
                                         style="width: {{ customer.next_reward_tier_progress|default_if_none:"100" }}%"
                                         aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">

                                        {{ customer.next_reward_tier_progress|default_if_none:"N/A" }}%
                                    </div>
                                </div>

                            </td>


                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </main>


    </div>
</div>

<!-- /.container -->

<!-- Bootstrap core JavaScript
================================================== -->
<!-- Placed at the end of the document so the pages load faster -->
<script src="{% static '/js/jquery-3.2.1.slim.min.js' %}"></script>
<script>window.jQuery || document.write('<script src="../../assets/js/vendor/jquery.min.js"><\/script>')</script>
<script src="{% static '/js/popper.min.js' %}"></script>
<script src="{% static '/js/bootstrap.min.js' %}"></script>
<script src="{% static '/js/feather.min.js' %}"></script>
<script src="{% static '/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static '/js/dataTables.bootstrap4.min.js' %}"></script>

<script>
    feather.replace()
</script>


{#For table search#}
<script>
    $(document).ready(function () {
        $('table.display').DataTable();
    });
</script>


<!--&lt;!&ndash; IE10 viewport hack for Surface/desktop Windows 8 bug &ndash;&gt;-->
<!--<script src="../../assets/js/ie10-viewport-bug-workaround.js"></script>-->

</body>
</html>